Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.19 veröffentlicht (11.09.18)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Editor wird durch Datenbankfehler nicht angezeigt
#1
Hallo,
seit dem Update auf 1.8.3 wird der Editor nicht mehr angezeigt, die Smileybar ist vorhanden, Smileys können aber nicht angeklickt werden.

Ich habe viel herumexperimentiert und herausgefunden, das mit dem gleichen Themplate etc. der Editor angezeigt wird, wenn die Datenbank noch frisch von der Installation kommt. Dieser Fehler tritt dann auch mit allen anderen und dem unverändertem Standard Design auf.

Hat jemand eine Idee was da blockieren könnte?
Ich habe "mybb_templategroups, mybb_templates, mybb_templatesets, mybb_themes, mybb_themeshstylesheets" schon weg gelassen und nur den Rest Importiert, der Fehler trat weiterhin auf.

Wie gesagt, die Themplates sind richtig, es funktioniert ja mit sauberer Datenbank.


Danke,
Peter Vogt Shy
Zitieren
#2
Das klingt, als wären die Templates nicht auf den neusten Stand. Hast Du die Ankündigung genau durch gelesen und befolgt ?
Mit freundlichen Grüßen

MrBrechreiz
Zitieren
#3
Also ich kann ehrlich gesagt nicht nachvollziehen, was Du alles gemacht hast bzw. wie sich welcher Fehler bemerkbar macht:
  • Was heißt, "der Editor wird nicht mehr angezeigt"? Der komplette Editor oder nur die MyCode-Liste?
  • Dass die Smilies auch beim Default-Theme nicht angeklickt werden könne, könnte auch darauf hindeuten, dass die js-Dateien fehlerhaft oder nicht korrekt hoch geladen wurden.
  • Was heißt "viel herum experimentiert" genau?
  • Auch bei einer frischen Installation tritt der Fehler bei allen Themes (inkl. Default) auf? Das könnte wiederum auf fehlende Dateien hinweisen
  • Was meinst Du damit, dass Du bestimmte DB-Tabellen weggelassen hast? Wenn Du die o.a. Tabellen "weggelassen" hast, dann wundert mich nichts.
  • Von welcher MyBB Version hattest Du das Upgrade auf 1.8.3 durchgeführt?
  • Ein Link zu Deinem Forum wäre evtl. von Nutzen.
viele Grüße
Jockl
übersetzte und eigene Plugins
Zitieren
#4
Hallo, danke für die Antworten bisher.

Es ist Alpha Gaming für MyBB 1.8.3, also definitiv ok und wie gesagt, mit sauberer Datenbank kein Problem.
Es wird die Editorleiste mit den Buttons nicht angezeigt, die Thread Icons sind noch da und funktionieren.
Es ist nicht nur beim Default Theme so, mit den Smileys.

Mit "viel herum experimentiert" war Fehlersuche gemeint.
"Auch bei einer frischen Installation tritt der Fehler bei allen Themes (inkl. Default) auf? Das könnte wiederum auf fehlende Dateien hinweisen" - Nein, wie oben geschrieben, funktioniert es solang die alte Datenbank nicht rein kommt.

"Was meinst Du damit, dass Du bestimmte DB-Tabellen weggelassen hast? Wenn Du die o.a. Tabellen "weggelassen" hast, dann wundert mich nichts." - Ich habe oben beschrieben Tabellen aud der Datenbank genommen und gegen die Insatallationsfrischen Tabellen ersetzt und die Themes neu installiert, der Fehler tritt weiterhin auf.
Die MyBB Codes funktionieren allerdings Problemlos, wenn man sie per Hand eingibt.

Das Update ging von 1.6.13 oder 14 oder 15 aus *wegduck*.


Angehängte Dateien Thumbnail(s)
   
Zitieren
#5
Hast Du mal einen anderen Editor bei dir getestet ?
Mit freundlichen Grüßen

MrBrechreiz
Zitieren
#6
(03.01.2015, 17:24)PeterVogt schrieb: Es wird die Editorleiste mit den Buttons nicht angezeigt, die Thread Icons sind noch da und funktionieren.
Ist im User-CP eingestellt, dass die MyCode-Formatierungsoptionen bei der Beitragserstellung angezeigt werden sollen?

(03.01.2015, 17:24)PeterVogt schrieb: Nein, wie oben geschrieben, funktioniert es solang die alte Datenbank nicht rein kommt.
Den Hinweis verstehe ich einfach nicht. Was meinst Du denn mit "alte Datenbank rein kommt"? Wie hast Du denn das Update vorgenommen? Du kannst doch nicht nach einem Upgrade auf 1.8 mit der DB einer 1.6er MyBB Version arbeiten! Oder verstehe ich Dich einfach nur falsch?


(03.01.2015, 17:24)PeterVogt schrieb: Ich habe oben beschrieben Tabellen aud der Datenbank genommen und gegen die Insatallationsfrischen Tabellen ersetzt und die Themes neu installiert, der Fehler tritt weiterhin auf.
Du bist Dir aber schon sicher und im klaren darüber, was Du da machst, oder?

Hast Du irgendwelche Plugins installiert, die Einfluss auf das Verhalten haben könnten?
Deine Foren-URL willst Du nicht nennen, oder?
viele Grüße
Jockl
übersetzte und eigene Plugins
Zitieren
#7
Hey,
nein Plugins mit Einfluss darauf sind nicht drin,  im Benutzer-CP ist auch nichts umgestellt.

Was die Tatsache mit der 1.6'er Datenbank angeht... nun... ja doch schon ist eine 1.6'er Blank_look
Zitieren
#8
Ich kann mir leider überhaupt nicht vorstellen, was Du alles gemacht hast und wie genau Du das Update auf 1.8 durchgeführt hast.

Ein Link zum Forum wäre vielleicht hilfreich!
viele Grüße
Jockl
übersetzte und eigene Plugins
Zitieren
#9
Bist Du Dir sicher, dass Du nach dem Upgrade die Templates aktualisiert und bei der Installation neuer Themes darauf geachtet hast, dass diese auch kompatibel zu 1.8 sind? Ich habe das Gefühl, dass in Deinen Templates der Wurm drin ist. Selbst Dein Default-Theme scheint gerade in Bezug auf den Editorbereich nicht dem einer Originalversion zu entsprechen.....
viele Grüße
Jockl
übersetzte und eigene Plugins
Zitieren
#10
Ich habe das genommen: https://www.mybb.de/erweiterungen/18x/th...aming-v18/
Die anderen werden nicht mehr genutzt und weichen demnächst, aber ich will sie noch drin lassen solang der Bug da ist Sad

Wäre es möglich das ich für den Editor einen Orginalcode bekomme?
Zitieren


Möglicherweise verwandte Themen...
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Datenbankfehler Paccy 7 700 02.09.2017, 09:59
Letzter Beitrag: Paccy